CategoryASTTransformation (Groovy 4.0.15)

Package: org.codehaus.groovy.transform

## [Java] Class CategoryASTTransformation

- org.codehaus.groovy.transform.CategoryASTTransformation

- All Implemented Interfaces and Traits:
    ASTTransformation

      @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
      public class CategoryASTTransformation
      extends Object
      implements ASTTransformation

  Handles generation of code for the

  Category:
    annotation.

    Transformation logic is as follows:

    - all non-static methods converted to static ones with an additional 'self' parameter
    - references to 'this' changed to the additional 'self' parameter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `public Expression` | `transform(Expression expression)`
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit sourceUnit)`
    `` | `public void` | `visitBlockStatement(BlockStatement statement)`
    `` | `public void` | `visitCatchStatement(CatchStatement statement)`
    `` | `public void` | `visitClosureExpression(ClosureExpression expression)`
    `` | `public void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `public void` | `visitExpressionStatement(ExpressionStatement statement)`
    `` | `public void` | `visitForLoop(ForStatement statement)`
    `` | `public void` | `visitMethod(MethodNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Override
      protected SourceUnit getSourceUnit()

    - #### @Override
      public Expression transform(Expression expression)

    - #### @Override
      public void visit(ASTNode[] nodes, SourceUnit sourceUnit)

    - #### @Override
      public void visitBlockStatement(BlockStatement statement)

    - #### @Override
      public void visitCatchStatement(CatchStatement statement)

    - #### @Override
      public void visitClosureExpression(ClosureExpression expression)

    - #### @Override
      public void visitDeclarationExpression(DeclarationExpression expression)

    - #### @Override
      public void visitExpressionStatement(ExpressionStatement statement)

    - #### @Override
      public void visitForLoop(ForStatement statement)

    - #### @Override
      public void visitMethod(MethodNode node)